**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/18.1/expected-document-lists/create-milestones-from-template.md

# Create Milestones from Template



Use this request to initiate the [Create Milestones from Template](https://clinical.veevavault.help/en/lr/24430) user action on a study, study country, or site.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/actions/createmilestones" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `application/x-www-form-urlencoded` (default) |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value. This endpoint only works with the `study__v`, `study_country__v`, or `site__v` objects. |
| `{object_record_id}` | The object record ID field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
https://myvault.veevavault.com/api/v19.1/vobjects/study__v/0ST000000000202/actions/createmilestones

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus":"SUCCESS",
  "job_id":130902,
  "url": "/api/v19.1/services/jobs/130902"
}

```
</CodeExample>

## Response Details {#response-details}

<FieldTable>
| Name | Description |
| --- | --- |
| `job_id` | The ID value for the job. |
| `url` | URL to retrieve the current status of the job. |
</FieldTable>

---

**Previous:** [Apply EDL Template to a Milestone](/clinical/vault-api/api-reference/18.1/expected-document-lists/apply-edl-template-to-a-milestone)  
**Next:** [Retrieve Root Nodes](/clinical/vault-api/api-reference/18.1/expected-document-lists/retrieve-root-nodes)